Classes | Namespaces
PeanutPressParser.cpp File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <librevenge/librevenge.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libebook_utils.h"`
`#include "EBOOKCharsetConverter.h"`
`#include "EBOOKMemoryStream.h"`
`#include "EBOOKUTF8Stream.h"`
`#include "EBOOKZlibStream.h"`
`#include "PDBLZ77Stream.h"`
`#include "PeanutPressParser.h"`
`#include "PeanutPressTypes.h"`

## Classes
struct | libebook::PeanutPressHeader
struct | libebook::PeanutPressTextParserState

## Namespaces
namespace | libebook

## Variable Documentation

## ◆ m_attributes

PeanutPressAttributes m_attributes
| private

## ◆ m_boldFontOpened

bool m_boldFontOpened
| private

## ◆ m_document

librevenge::RVNGTextInterface* m_document
| private

## ◆ m_imageMap

const PeanutPressParser::ImageMap_t& m_imageMap
| private

## ◆ m_input

librevenge::RVNGInputStream* m_input
| private

## ◆ m_largeFontOpened

bool m_largeFontOpened
| private

## ◆ m_paragraphOpened

bool m_paragraphOpened
| private

## ◆ m_stdFontOpened

bool m_stdFontOpened
| private

## ◆ m_stream

std::unique_ptr<librevenge::RVNGInputStream> m_stream
| private

## ◆ m_text

string m_text
| private

## ◆ m_visible

bool m_visible
| private